<?php

// сбор и удаление всех данных пользователя
function delete_user_all_data($id_user) {
    global $user;
    if (!isset($user)) {
        return false;
    }
    if ($user['id'] == $id_user) {
        return false;
    }

    time_limit(20); // Ставим ограничение на 20 секунд
// профиль
    mysql_query("DELETE FROM `user` WHERE `id` = '$id_user' LIMIT 1");
// темы форума
    $q = mysql_query("SELECT `id` FROM `forum_themes` WHERE `id_user` = '$id_user'");
    while ($them = mysql_fetch_assoc($q)) {
// сообщения форума
        $q2 = mysql_query("SELECT `id` FROM `forum_posts` WHERE `id_them` = '$them[id]' OR `id_user` = '$id_user'");
        while ($post = mysql_fetch_assoc($q2)) {
// список постов
            mysql_query("DELETE FROM `forum_posts` WHERE `id` = '$post[id]' LIMIT 1");
        }
        mysql_query("DELETE FROM `forum_themes` WHERE `id` = '$them[id]' LIMIT 1");
    }

// голоса за файлы
    mysql_query("DELETE FROM `forum_post_rating` WHERE `id_user` = '$id_user' LIMIT 1");
    mysql_query("DELETE FROM `forum_post_files` WHERE `id_user` = '$id_user' LIMIT 1");
// закладки
    mysql_query("DELETE FROM `forum_votes` WHERE `id_user` = '$id_user'");
// комментарии к новостям
    mysql_query("DELETE FROM `news_komm` WHERE `id_user` = '$id_user'");


// файловый обменник
    $q = mysql_query("SELECT `id` FROM `obmennik_files` WHERE `id_user` = '$id_user'");
    while ($file = mysql_fetch_assoc($q)) {
        @unlink(H . 'sys/obmen/files/' . $file['id'] . '.dat');
    }
    mysql_query("DELETE FROM `obmennik_files` WHERE `id_user` = '$id_user'");
    mysql_query("DELETE FROM `obmennik_komm` WHERE `id_user` = '$id_user'");

// контакты
    mysql_query("DELETE FROM `users_konts` WHERE `id_user` = '$id_user' OR `id_kont` = '$id_user'");
// сообщения 
    mysql_query("DELETE FROM `mail` WHERE `id_user` = '$id_user' OR `id_kont` = '$id_user'");
// совпадения пользователей
    mysql_query("DELETE FROM `user_collision` WHERE `id_user` = '$id_user' OR `id_user2` = '$id_user'");
// рейтинги
    mysql_query("DELETE FROM `user_voice2` WHERE `id_user` = '$id_user' OR `id_kont` = '$id_user'");


    return true;
}
